Summary:    Perl 5 distribution Exporter-Tiny
Name:       perl-Exporter-Tiny
Version:    1.006002
Release:    1%{?dist}
License:    GPL+ or Artistic
URL:        https://metacpan.org/release/Exporter-Tiny
Source0:    https://cpan.metacpan.org/modules/by-module/Exporter/Exporter-Tiny-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils, findutils, make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.17, sed
# Module Runtime
BuildRequires:	perl(Carp), perl(strict), perl(warnings)
# Test Suite
BuildRequires:	perl(lib), perl(Test::More) >= 0.47, perl(Test::Fatal), perl(Test::Warnings)
# Runtime
Requires:	perl(Carp)

%{?perl_default_filter}

%description
Exporter::Tiny supports many of Sub::Exporter's external-facing features
including renaming imported functions with the `-as`, `-prefix` and
`-suffix` options; explicit destinations with the `into` option; and
alternative installers with the `installer` option. But it's written in
only about 40% as many lines of code and with zero non-core dependencies.

Its internal-facing interface is closer to Exporter.pm, with configuration
done through the @EXPORT, @EXPORT_OK and %EXPORT_TAGS package variables.



%prep
%autosetup -n Exporter-Tiny-%{version}

rm -r ./inc/
sed -i -e '/^inc\//d' MANIFEST



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make -j$(nproc)



%install
%{make_install}
%{_fixperms} -c %{buildroot}



%check
make test



%files
%license COPYRIGHT LICENSE
%doc Changes CREDITS examples/ README TODO
%{perl_vendorlib}/Exporter/
%{_mandir}/man3/*



%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.006002-1
- Upgrade to version 1.006002

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.002002-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.002002-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.002002-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.002002-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.002002-1
- Initial building
